;==========================================================
; Just Weather by 10n3xw01f
; Thanks to MerlinTheRed for weather icons
;==========================================================


;============================== Weather ================================


[Variables]
;You may delete "&unit=m" if you prefer the Fahrenheit Scale.
Go to http://www.weather.com/ and find weather code for your location then change link below!
IMPORTANT: Change only one part of this link (BKXX0005) > this is code for Zenica, Bosnia and Herzegovina
URL=http://xml.weather.com/weather/local/BKXX0005?cc=*&unit=m&dayf=6
Font=Century Gothic

;---------------------------

[MeasureWeatherRSS]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=3600
Url=#URL#
RegExp="(?siU)<weather ver="(.*)">(.*)<tmp>(.*)</tmp>(.*)<t>(.*)</t>(.*)<icon>(.*)</icon>(.*)<day d="1" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)<day d="2" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)<day d="3" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)"
StringIndex=1
IfAboveValue=1
IfAboveAction=!execute [!RainmeterHideMeter MeterIconNA][!RainmeterShowMeter MeterIcon]
;Debug=1

;---------------------------

[MeasureWeatherTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=3

[MeasureWeatherDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=5

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureWeatherRSS]
StringIndex=7

;---------------------------

[MeterTemp]
MeasureName=MeasureWeatherTemp
Meter=STRING
X=45
Y=20
FontColor=255, 255, 255, 80
StringStyle=NORMAL
FontSize=70
StringAlign=CENTER
FontFace=Century Gothic
Antialias=0


;[MeterDesc]
MeasureName=MeasureWeatherDesc
Meter=STRING
X=5
Y=25
FontColor=ACACAC
FontSize=7
StringAlign=LEFT
StringStyle=NORMAL
FontFace=Century Gothic
Antialias=0

[MeterIconNA]
ImageName=na.png
Meter=IMAGE
X=0
Y=4


[MeterIcon]
MeasureName=MeasureWeatherIcon
Meter=IMAGE
X=100
Y=8
;Hidden=1